// Extend stringify
if (!jQuery.stringify) {
	document.writeln('<script src="/files/addons/bx_slider/jquery.stringify.min.js"><\/script>');
}

// Set bxSlider form values
var setBxConfig = function(){
	$config = jQuery.parseJSON(jQuery('#bx-config').val());
	for(key in $config) {
		$field = jQuery('*[name="bx-' + key + '"]');
		if ($field.is('input[type="checkbox"]')) {
			$field.attr('checked', $config[key]);
		} else if ($field) {
			$field.val($config[key]);
		}
	}
};

// Updates bxSlider config
var updateBxConfig = function(){
	var fields = {};
	jQuery('#REX_FORM .rex-content-editmode-slice-input *[name^="bx-"]').each(function(){
		var $this = jQuery(this);
		var name = $this.attr('name').substr(3);
		var value = $this.val();
		if ($this.is('input[type="checkbox"]')) {
			value = $this.is(':checked');
		} else if ($this.is('input[type="number"]')) {
			value = parseInt($this.val()) ? parseInt($this.val()) : 0;
		}
		fields[name] = value;
	});
	var json = jQuery.stringify(fields);
	json = json.replace(/{/g, "{\n\t").replace(/,/g, ",\n\t").replace(/:/g, ": ").replace(/}/g, "\n}");
	jQuery('#bx-config').val(json);
};

// Set config onLoad
setBxConfig();

// Update config onChange
jQuery('*[name^="bx-"]').change(function(){
	updateBxConfig();
});

// Toogle bxSlider Config
var toggleBxConfig = function(){
	if (jQuery('#toggle-bx-config').attr('checked')) {
		jQuery('#bx-config').show();
	} else {
		jQuery('#bx-config').hide();
	}
}
jQuery('#toggle-bx-config').change(function(){
	toggleBxConfig();
});

/* #### Slide module helpers #### */
jQuery('input.bx-slide-toggle').change(function(){
	jQuery('.bx-slide-container').css('display','none');
	if (jQuery(this).attr('checked')) {
		jQuery(this).parent('label').next('div.bx-slide-container').css('display','block');
	}
});