<?php
$moduleSlideInput = rex_get_file_contents($REX["INCLUDE_PATH"] . '/addons/bx_slider/module/slideshowSlideInput.php');
$moduleSlideOutput = rex_get_file_contents($REX["INCLUDE_PATH"] . '/addons/bx_slider/module/slideshowSlideOutput.php');

// Ist Modul schon vorhanden ?
$searchtext = 'module: bx_slider_slide_out';

$gm = rex_sql::factory();
$gm->setQuery('select * from ' . $REX['TABLE_PREFIX'] . 'module where ausgabe LIKE "%' . $searchtext . '%"');

$module_id = 0;
$module_name = "";

foreach ($gm->getArray() as $module) {
	$module_id = $module['id'];
	$module_name = $module['name'];
}

if (isset($_REQUEST['install']) && $_REQUEST['install'] == 1) {
	$module_name = $I18N->msg('bx_slider_slide_module_name');

	$mi = rex_sql::factory();
	$mi->setTable('rex_module');
	$mi->setValue('eingabe', addslashes($moduleSlideInput));
	$mi->setValue('ausgabe', addslashes($moduleSlideOutput));

	// Altes Module aktualisieren
	if (isset($_REQUEST['module_id']) && $module_id == $_REQUEST['module_id']) {

		$mi->setWhere('id="' . $module_id . '"');
		$mi->update();

		// Article updaten
		rex_generateAll();

		echo rex_info($I18N->msg('module_updated') . ' | ' . $I18N->msg('delete_cache_message'));
	}

	// Neues Modul einfügen
	else {

		$mi->setValue('name', $module_name);
		$mi->insert();
		$module_id = (int) $mi->getLastId();

		echo rex_info($I18N->msg('bx_slider_slide_module_added', $module_name));
	}
}
?>
<div class="rex-addon-output">
	<h2 class="rex-hl2"><?php echo $I18N->msg('bx_slider_slide_module'); ?></h2>
	<div class="rex-area-content module">
		<ul>
			<?php
			if ($module_id > 0) {
				if (!isset($_REQUEST['install'])) {
					echo '<li><a href="index.php?page=bx_slider&amp;subpage=setup-slide&amp;install=1&amp;module_id=' . $module_id . '">' . $I18N->msg('bx_slider_slide_module_update') . '</a></li>';
				}
			} else {
				if (!isset($_REQUEST['install'])) {
					echo '<li><a href="index.php?page=bx_slider&amp;subpage=setup-slide&amp;install=1">' . $I18N->msg('bx_slider_slide_module_install') . '</a></li>';
				}
			}
			?>		
		</ul>
		<p class="headline"><?php echo $I18N->msg('bx_slider_slide_module_input'); ?></p><?php rex_highlight_string($moduleSlideInput); ?>
		<p>&nbsp;</p>
		<p class="headline"><?php echo $I18N->msg('bx_slider_slide_module_output'); ?></p><?php rex_highlight_string($moduleSlideOutput); ?>
	</div>
</div>